Bulk upsert property meter readings
curl --request POST \
--url https://api.anhome.tuanle.dev/api/v1/properties/{property_id}/meter-readings/bulk-upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"period": "<string>",
"readings": [
{
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"electricity_previous": 1,
"electricity_current": 1,
"water_previous": 1,
"water_current": 1
}
]
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/properties/{property_id}/meter-readings/bulk-upsert"
payload = {
"period": "<string>",
"readings": [
{
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"electricity_previous": 1,
"electricity_current": 1,
"water_previous": 1,
"water_current": 1
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
period: '<string>',
readings: [
{
room_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
electricity_previous: 1,
electricity_current: 1,
water_previous: 1,
water_current: 1
}
]
})
};
fetch('https://api.anhome.tuanle.dev/api/v1/properties/{property_id}/meter-readings/bulk-upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"upserted_count": 1,
"meter_readings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"electricity_previous": 123,
"electricity_current": 123,
"water_previous": 123,
"water_current": 123,
"recorded_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Billing
Bulk upsert property meter readings
Compatibility alias for bulk meter reading upserts using the explicit bulk-upsert route.
POST
https://api.anhome.tuanle.dev
/
api
/
v1
/
properties
/
{property_id}
/
meter-readings
/
bulk-upsert
Bulk upsert property meter readings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Property ID
Body
application/json
Meter period and usage values. The API validates YYYY-MM periods and non-decreasing readings.
Response
Bulk upserted meter readings
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.
⌘I